{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "REL_ANC_ANNEE"; 
            externalType = NUMBER; 
            name = ancAnnee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REL_ANC_NB_ANNEES"; 
            externalType = NUMBER; 
            name = ancNbAnnees; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REL_ANC_NB_JOURS"; 
            externalType = NUMBER; 
            name = ancNbJours; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REL_ANC_NB_MOIS"; 
            externalType = NUMBER; 
            name = ancNbMois; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "REL_ANC_DEBUT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "REL_ANC_FIN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MORE_ORDRE"; 
            externalType = NUMBER; 
            name = moreOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_CARRIERE"; 
            externalType = NUMBER; 
            name = noSeqCarriere; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ELEMENT"; 
            externalType = NUMBER; 
            name = noSeqElement; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "REL_ORDRE"; 
            externalType = NUMBER; 
            name = relOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REL_UTILISE"; 
            externalType = CHAR; 
            name = temUtilise; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        ancAnnee, 
        ancNbAnnees, 
        ancNbJours, 
        ancNbMois, 
        moreOrdre, 
        noArrete, 
        noDossierPers, 
        noSeqCarriere, 
        noSeqElement, 
        relOrdre, 
        temUtilise, 
        temValide
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueReliquatsAnciennete"; 
    classProperties = (
        ancAnnee, 
        ancNbAnnees, 
        ancNbJours, 
        ancNbMois, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        elementCarriere, 
        individu, 
        motifReduction, 
        noArrete, 
        temUtilise, 
        temValide
    ); 
    externalName = "MANGUE.RELIQUATS_ANCIENNETE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            ancAnnee, 
            ancNbAnnees, 
            ancNbJours, 
            ancNbMois, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            elementCarriere, 
            individu, 
            motifReduction, 
            noArrete, 
            noDossierPers, 
            noSeqCarriere, 
            noSeqElement, 
            temUtilise, 
            temValide
        ); 
    }; 
    name = MangueReliquatsAnciennete; 
    primaryKeyAttributes = (relOrdre); 
    relationships = (
        {
            destination = MangueElementCarriere; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = noDossierPers; sourceAttribute = noDossierPers; }, 
                {destinationAttribute = noSeqCarriere; sourceAttribute = noSeqCarriere; }, 
                {destinationAttribute = noSeqElement; sourceAttribute = noSeqElement; }
            ); 
            name = elementCarriere; 
        }, 
        {
            destination = GrhumIndividu; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = MotifReduction; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = moreOrdre; sourceAttribute = moreOrdre; }); 
            name = motifReduction; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {parentClassName = ObjetSIDestinatairePourPeriodeEtIndividu; }; 
    }; 
}
